• Resolved HighKay

    (@hlorenz)


    Hi,
    today I updated to PHP 7.1 and now I’m getting error messages from SNAP (Version 4.2.3):

    Class ‘nxs_snapClassDL’ not found in … social-networks-auto-poster-facebook-twitter-g/inc/nxs_functions_engine.php …

    What does that mean & how can I fix it?

    Thanks in advance
    Heike

    The page I need help with: [log in to see the link]

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author NextScripts

    (@nextscripts)

    This has nothing to do with PHP 7.1. Your plugin files are got messed up somehow.

    DL in nxs_snapClassDL stands for “Delicious”. Delicious was shut down by the new owners and it was removed from SNAP. You still have some old files that are trying to call for it.

    Aha!
    So what ca I do?
    What “old” file could this be?

    Maybe just remove the plugin via FTP, download the current version an upload it via FTP?
    I don’t want to loose all the settings I made…

    I also use the NextScripts: SNAP Pro Upgrade Helper (Version 1.5.5), just if that could be the problem.

    Thanks
    Heike

    Plugin Author NextScripts

    (@nextscripts)

    Yes, please remove the plugin completely and install it fresh. This will not remove or anyhow affect your settings and configured networks.

    Hm,
    I tried the solution but I didn’t work.

    Could that be SNAP trying to republish old post with still some Deliciuos-Code in it?
    In the error-message the wp-cron.php & class-wp-hook.php is metioned too…

    I don’t want to post the whole error-message here, but I could send it to you via mail, if you give me your Mail-Adress.

    Thanks
    Heike

    Plugin Author NextScripts

    (@nextscripts)

    Here: https://www.nextscripts.com/contact-us/ Please mention this thread.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘PHP 7.1 error’ is closed to new replies.